"use strict";

const mergeByTemplate = require("merge-by-template");

function noOverride(a, b) {
	if (a != null && b != null) {
		throw new Error(`Property cannot be overridden`);
	}
}

let merge = mergeByTemplate.createMerger({
	backend: noOverride,
	database: noOverride,
	seed: [],
	tags: mergeByTemplate.anyProperty([]),
	tasks: {}
});

module.exports = function mergeSources(base, sources) {
	return merge([ base, ... sources ]);
};
